import { DTOrderDirection, DTRowItem, DTSource, DTTableProps } from './types';
import { PropType } from 'vue';
export declare const tableProps: {
    source: {
        type: PropType<DTSource>;
        default: string;
    };
    url: {
        type: PropType<string | null>;
        default: null;
    };
    items: {
        type: PropType<DTRowItem[]>;
        default: () => never[];
    };
    pagination: {
        type: BooleanConstructor;
        default: boolean;
    };
    rowsPerPageCount: {
        type: NumberConstructor;
        default: number;
    };
    rowsPerPageOptions: {
        type: PropType<number[]>;
        default: () => number[];
    };
    searching: {
        type: BooleanConstructor;
        default: boolean;
    };
    orderBy: {
        type: PropType<string | null>;
        default: null;
    };
    orderDirection: {
        type: PropType<DTOrderDirection>;
        default: string;
    };
    rowSelection: {
        type: BooleanConstructor;
        default: boolean;
    };
    actions: {
        type: BooleanConstructor;
        default: boolean;
    };
    numbering: {
        type: BooleanConstructor;
        default: boolean;
    };
    scrollX: {
        type: BooleanConstructor;
        default: boolean;
    };
    fixedColumnsStart: {
        type: NumberConstructor;
        required: boolean;
        default: number;
    };
    fixedColumnsEnd: {
        type: NumberConstructor;
        required: boolean;
        default: number;
    };
    rowsClickable: {
        type: BooleanConstructor;
        default: boolean;
    };
};
export declare const validateTableProps: (props: DTTableProps) => void;
